<?php
require('ppframe.php');

#
Iimport('Lister_Passport_User');
$lister_user = new Lister_Passport_User();
#
if ($username) {
	if ($jq) {
		$lister_user -> SetWhere("`username` like '$username'");
	}else {
		$lister_user -> SetWhere("`username` like '%$username%'");
	}
}
$lister_user -> CreateWhere();
$maxnum = $lister_user -> ExecTotalRecord();
Iimport('Page');

$pagesize = 10;

$p = new Page($maxnum,$page,$pagesize);

$p -> SetDpages();
$pagelink = $p -> GetPageLink();

$lister_user -> SetLimit($p -> Limit);

$lister_user = $lister_user -> GetList();

Iimport('Template');
$tpl = new Template();
$tpl -> DisPlay('user_main');

?>